Index: docs/dox/changelog.dox
===================================================================
--- docs/dox/changelog.dox	(revision 2a436ea693ea5c59bf53d0fc77f9bb29924a4b67)
+++ docs/dox/changelog.dox	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -9,4 +9,9 @@
 \section cl_toc Table of Contents
 
+  -# \ref cl_b145
+     -# \ref cl_b145_w
+     -# \ref cl_b145_i
+     -# \ref cl_b145_c
+     -# \ref cl_b145_b
   -# \ref cl_b100
      -# \ref cl_b100_w
@@ -18,4 +23,47 @@
 
 \attention This ChangeLog is updated only on releases.
+
+<hr>
+
+\section cl_b145 TSPSG v0.1.3 beta 1 (build 145)
+
+\subsection cl_b145_w WHAT'S NEW
+
+  - Solution graph generation.
+  - Support for switching between available Qt styles.
+  - Toolbar customization support (only on desktop platforms).
+  - An option to remember last used directory when saving and opening.
+  - Automatically check for updates at the given interval option (only
+    on Windows platform at this moment).
+
+
+\subsection cl_b145_i IMPROVEMENTS
+
+  - Improved the solution output generation algorithm. It is now about
+    1.65 times faster.
+  - Dragging and dropping task file on the main window now opens it.
+  - The deafult output font is now DejaVu LGC Sans Mono and it comes
+    "embedded" in the executable.
+  - The current desktop icon theme in Linux is now used if it follows
+    freedesktop.org icon theme and icon naming spesifications.
+  - Translations are now "embedded" in the executable but may be
+    overrided by placing files with the same names in l10n folder.
+  - Support for Windows 7 Taskbar Extensions (namely, Progress Bars).
+
+
+\subsection cl_b145_c CHANGES
+
+  - About dialog was "tabified". Added GPL License and Credits tabs.
+  - Platform dependent settings (e.g. paths) are saved per-platform.
+  - 32x32 icons are used on handheld platforms. This slightly decreases
+    the size of handheld versions. Desktop icons are still 128x128.
+  - \b Windows binary builds were moved from \b MSVC to \b Mingw-w64: no more
+    <em>Visual C++ Runtime</em> dependency.
+
+
+\subsection cl_b145_b BUGFIXES
+
+  - Solution related actions not disabled when solution is canceled.
+  - "Autosize" setting was never saved and was always on.
 
 <hr>
Index: docs/dox/install.dox
===================================================================
--- docs/dox/install.dox	(revision 2a436ea693ea5c59bf53d0fc77f9bb29924a4b67)
+++ docs/dox/install.dox	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -19,9 +19,10 @@
      -# \ref i_s42
      -# \ref i_s43
-        -# \ref i_s431
-        -# \ref i_s432
      -# \ref i_s44
+        -# \ref i_s441
+        -# \ref i_s442
      -# \ref i_s45
      -# \ref i_s46
+     -# \ref i_s47
   -# \ref i_s5
   -# \ref i_s6
@@ -50,5 +51,5 @@
 Also, the following assumptions are made:
 
-  - For \b Linux/UNIX: \c lrelease and \c qmake are avilable in \c $PATH.
+  - For \b Linux/UNIX/BSD: \c lrelease and \c qmake are avilable in \c $PATH.
   - For \b Windows (\em minGW) and \b Symbian: you have installed <em>Qt SDK</em> or
     prebuilt libraries and have Start Menu items for Qt tools.
@@ -74,4 +75,44 @@
 \subsection i_s41 GENERAL INSTALLATION PROCEDURE
 
+To be able ot build \b TSPSG you need to have the following Qt modules:
+\em QtCore, \em QtGui and \em QtSvg. The first two are required, the last one is
+optional. To get support for additional image formats (i.e., \b JPEG and
+\b TIFF) you'll additionally need corresponding <em>Qt imageformats</em> plugins.
+
+If you want to build \b TSPSG without \b SVG support add \c nosvg to \c qmake
+\c CONFIG parameter, so that qmake command will typically be:
+
+\verbatim
+qmake CONFIG+=release CONFIG+=nosvg
+\endverbatim
+
+This way you will not depend on \em QtSvg module but will not be able to
+export solution graph in \b SVG format.
+
+
+\b TSPSG uses \c qmake \c PREFIX parameter to determine installation path for
+make install command. If you don't specify it when running \c qmake, it
+will be assigned the default value depending on the platform:
+
+<table>
+<tr><th>Platform</th><th>Default \c PREFIX value</th></tr>
+<tr><td>\b Linux/UNIX/BSD</td><td>\c /usr</td></tr>
+<tr><td>\b Windows</td><td></td>\c \%PROGRAMFILES\% environment variable (usually, it is <tt>C:\\Program Files</tt>)</tr>
+<tr><td><b>Windows CE/Mobile</b></td><td><tt>\\Program Files</tt></td></tr>
+<tr><td>\b Symbian</td><td></td><em>\<ignored></em></tr>
+</table>
+
+\note Please, note that there are no installation and/or packaging
+rules for \b MacOS and other platforms not mentioned in this table.
+
+
+By default, \b TSPSG uses precompiled header when being built. If you
+experience problems with it you may add \c CONFIG+=nopch parameter to
+\c qmake to disable the generation and use of the precompiled header.
+
+<hr>
+
+\subsection i_s42 GENERAL INSTALLATION PROCEDURE
+
 On most platforms the general building and installation procedure is:
 
@@ -87,5 +128,5 @@
 <hr>
 
-\subsection i_s42 LINUX/UNIX
+\subsection i_s43 LINUX/UNIX/BSD
 
 Open a shell, navigate to the directory where you have \b TSPSG source
@@ -126,15 +167,16 @@
 depending on your distribution.
 
-By default, executable will go to \c /usr/bin, \c COPYING.txt and \c README.txt will go
-to \c /usr/share/TSPSG, translations will go \c /usr/share/TSPSG/l10n, all docs
-will go to <tt>/usr/share/doc/TSPSG-\<VERSION></tt>.
-
-<hr>
-
-\subsection i_s43 WINDOWS
+The executable goes to \c \<PREFIX>/bin; \c COPYING, \c ChangeLog.txt, \c README.txt
+and \c INSTALL.txt go to \c \<PREFIX>/share/doc/TSPSG-\<VERSION>.
+
+<hr>
+
+\subsection i_s44 WINDOWS
+
+\b TSPSG will be installed to \c \<PREFIX>\\TSPSG folder.
 
 \note Please, read the section \ref i_s7 after reading this section.
 
-\subsubsection i_s431 USING MINGW
+\subsubsection i_s441 USING MINGW
 
 Unpack the downloaded source code of \b TSPSG with your favourite
@@ -157,9 +199,6 @@
 \endverbatim
 
-\b TSPSG will be installed to \c \%PROGRAMFILES\%\\TSPSG folder (usually, it is
-<tt>C:\\Program Files\\TSPSG</tt>).
-
-
-\subsubsection i_s432 USING VISUAL STUDIO
+
+\subsubsection i_s442 USING VISUAL STUDIO
 
 Unpack the downloaded source code of \b TSPSG with your favourite
@@ -180,10 +219,7 @@
 \endverbatim
 
-\b TSPSG will be installed to \c \%PROGRAMFILES\%\\TSPSG folder (usually, it is
-<tt>C:\\Program Files\\TSPSG</tt>).
-
-<hr>
-
-\subsection i_s44 WINDOWS CE/MOBILE
+<hr>
+
+\subsection i_s45 WINDOWS CE/MOBILE
 
 Unpack the downloaded source code of \b TSPSG with your favourite
@@ -215,5 +251,5 @@
 <hr>
 
-\section i_s45 SYMBIAN
+\section i_s46 SYMBIAN
 
 Unpack the downloaded source code of \b TSPSG with your favourite
@@ -262,5 +298,5 @@
 <hr>
 
-\subsection i_s46 OTHER PLATFORMS, SUPPORTED BY QT
+\subsection i_s47 OTHER PLATFORMS, SUPPORTED BY QT
 
 While \b TSPSG is oficially supported only on \b Linux, \b Windows and <b>Windows
Index: docs/dox/mainpage.dox
===================================================================
--- docs/dox/mainpage.dox	(revision 2a436ea693ea5c59bf53d0fc77f9bb29924a4b67)
+++ docs/dox/mainpage.dox	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -31,4 +31,5 @@
 \ref changelog
 
+  -# \ref cl_b145
   -# \ref cl_b100
   -# \ref cl_b42
Index: docs/tspsg.tag
===================================================================
--- docs/tspsg.tag	(revision 2a436ea693ea5c59bf53d0fc77f9bb29924a4b67)
+++ docs/tspsg.tag	(revision d8a3826f870afc2e79ce949111e1726c49002f46)
@@ -57,4 +57,18 @@
     <member kind="define">
       <type>#define</type>
+      <name>DEF_CHECK_FOR_UPDATES</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a18e68184ae6744c3d45c412cf429ef1c</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_UPDATE_CHECK_INTERVAL</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af2574b71a796ed52fc04b046a0f9a0c0</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
       <name>DEF_FRACTIONAL_ACCURACY</name>
       <anchorfile>defaults_8h.html</anchorfile>
@@ -183,5 +197,4 @@
     <includes id="defaults_8h" name="defaults.h" local="yes" imported="no">defaults.h</includes>
     <includes id="tspsolver_8h" name="tspsolver.h" local="yes" imported="no">tspsolver.h</includes>
-    <includes id="qtwin_8h" name="qtwin.h" local="yes" imported="no">qtwin.h</includes>
     <member kind="define">
       <type>#define</type>
@@ -269,9 +282,9 @@
     </member>
     <member kind="function">
-      <type>void</type>
-      <name>toggleStyle</name>
-      <anchorfile>globals_8h.html</anchorfile>
-      <anchor>a3ffe98116f42de97041cde4a2b0404e6</anchor>
-      <arglist>(QWidget *widget, bool enable)</arglist>
+      <type>bool</type>
+      <name>hasUpdater</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a5625fcd02d07005677ff6ee3dd799e05</anchor>
+      <arglist>()</arglist>
     </member>
   </compound>
@@ -308,4 +321,18 @@
       <anchorfile>os_8h.html</anchorfile>
       <anchor>a1dd5b94c3a8ca1350a4037270084df73</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>PLATFROM</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a5751bcea3ecce2a44d6c294f28dca42b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>COMPILER</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a63f2e19ce36089fbdd99a7a46c62afbe</anchor>
       <arglist></arglist>
     </member>
@@ -487,11 +514,16 @@
     <filename>changelog</filename>
     <docanchor file="changelog">cl_b100_i</docanchor>
+    <docanchor file="changelog">cl_b145_c</docanchor>
     <docanchor file="changelog">cl_b100_w</docanchor>
     <docanchor file="changelog">cl_toc</docanchor>
     <docanchor file="changelog">cl_b42_f</docanchor>
+    <docanchor file="changelog">cl_b145_i</docanchor>
     <docanchor file="changelog">cl_b100</docanchor>
+    <docanchor file="changelog">cl_b145_w</docanchor>
     <docanchor file="changelog">cl_b42</docanchor>
     <docanchor file="changelog">cl_b100_b</docanchor>
     <docanchor file="changelog">cl_b100_c</docanchor>
+    <docanchor file="changelog">cl_b145_b</docanchor>
+    <docanchor file="changelog">cl_b145</docanchor>
   </compound>
   <compound kind="page">
@@ -514,8 +546,9 @@
     <docanchor file="install">i_s45</docanchor>
     <docanchor file="install">i_s46</docanchor>
+    <docanchor file="install">i_s47</docanchor>
+    <docanchor file="install">i_s441</docanchor>
     <docanchor file="install">i_s1</docanchor>
-    <docanchor file="install">i_s431</docanchor>
+    <docanchor file="install">i_s442</docanchor>
     <docanchor file="install">i_s2</docanchor>
-    <docanchor file="install">i_s432</docanchor>
     <docanchor file="install">i_s3</docanchor>
     <docanchor file="install">i_s4</docanchor>
